var gulp = require('gulp');

sass = require('gulp-sass');
browserSync = require('browser-sync');
prefixer = require('gulp-autoprefixer'),


gulp.task('gulp-autoprefixer', function(){
	return gulp.src('app/**/*.css')
        .pipe(prefixer(['last 15 versions', '> 1%', 'ie 8', 'ie 7'],{cascade: true}))
        .pipe(gulp.dest('app/css'))
		.pipe(browserSync.reload({stream:true}))
});
gulp.task('browser-sync', function(){
	browserSync({
		server: {
			baseDir:'app'
		},
		notify:false
	});	
})
gulp.task('watch',['browser-sync','gulp-autoprefixer'], function(){
	gulp.watch('app/**/*.html', browserSync.reload);
	gulp.watch('app/**/*.css', browserSync.reload);
	gulp.watch('app/js/**/*.js', browserSync.reload);
})